### Method

# Goa OAuth2Based complete_get_access_token

#### Declaration [src]

    void
    goa_oauth2_based_complete_get_access_token (
      GoaOAuth2Based* object,
      GDBusMethodInvocation* invocation,
      const gchar* access_token,
      gint expires_in
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the GetAccessToken() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`access_token`

  Type: `const gchar*`

  Parameter to return.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`expires_in`

  Type: `gint`

  Parameter to return.